Package tigase.server

## Enum DataForm.FieldType

- java.lang.Object
- - java.lang.Enum<DataForm.FieldType>
  - - tigase.server.DataForm.FieldType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DataForm.FieldType>`
  Enclosing class:
    DataForm

      public static enum DataForm.FieldType
      extends java.lang.Enum<DataForm.FieldType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Boolean` |
    `Fixed` |
    `Hidden` |
    `JidMulti` |
    `JidSingle` |
    `ListMulti` |
    `ListSingle` |
    `TextMulti` |
    `TextPrivate` |
    `TextSingle` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `value()` |
    `static DataForm.FieldType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DataForm.FieldType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Boolean

          public static final DataForm.FieldType Boolean

    - #### Fixed

          public static final DataForm.FieldType Fixed

    - #### Hidden

          public static final DataForm.FieldType Hidden

    - #### JidMulti

          public static final DataForm.FieldType JidMulti

    - #### JidSingle

          public static final DataForm.FieldType JidSingle

    - #### ListMulti

          public static final DataForm.FieldType ListMulti

    - #### ListSingle

          public static final DataForm.FieldType ListSingle

    - #### TextMulti

          public static final DataForm.FieldType TextMulti

    - #### TextPrivate

          public static final DataForm.FieldType TextPrivate

    - #### TextSingle

          public static final DataForm.FieldType TextSingle

  - ### Method Detail

    - #### values

          public static DataForm.FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataForm.FieldType c : DataForm.FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataForm.FieldType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()